;=========================================================================
; file : syscall.inc
; 2015/08/28
; derived from  linux-4.1.2/arch/x86/syscalls/syscall_32.tbl
;=========================================================================

%ifndef __SYSCALL_INC
%define __SYSCALL_INC

%assign SYS_restart_syscall         0
%assign SYS_exit                    1
%assign SYS_fork                    2
%assign SYS_read                    3
%assign SYS_write                   4
%assign SYS_open                    5
%assign SYS_close                   6
%assign SYS_waitpid                 7
%assign SYS_creat                   8
%assign SYS_link                    9
%assign SYS_unlink                  10
%assign SYS_execve                  11
%assign SYS_chdir                   12
%assign SYS_time                    13
%assign SYS_mknod                   14
%assign SYS_chmod                   15
%assign SYS_lchown16                16
;
%assign SYS_stat                    18
%assign SYS_lseek                   19
%assign SYS_getpid                  20
%assign SYS_mount                   21
%assign SYS_oldumount               22
%assign SYS_setuid16                23
%assign SYS_getuid16                24
%assign SYS_stime                   25
%assign SYS_ptrace                  26
%assign SYS_alarm                   27
%assign SYS_fstat                   28
%assign SYS_pause                   29
%assign SYS_utime                   30
;
;
%assign SYS_access                  33
%assign SYS_nice                    34
;
%assign SYS_sync                    36
%assign SYS_kill                    37
%assign SYS_rename                  38
%assign SYS_mkdir                   39
%assign SYS_rmdir                   40
%assign SYS_dup                     41
%assign SYS_pipe                    42
%assign SYS_times                   43
;
%assign SYS_brk                     45
%assign SYS_setgid16                46
%assign SYS_getgid16                47
%assign SYS_signal                  48
%assign SYS_geteuid16               49
%assign SYS_getegid16               50
%assign SYS_acct                    51
%assign SYS_umount                  52
;
%assign SYS_ioctl                   54
%assign SYS_fcntl                   55
;
%assign SYS_setpgid                 57
;
%assign SYS_olduname                59
%assign SYS_umask                   60
%assign SYS_chroot                  61
%assign SYS_ustat                   62
%assign SYS_dup2                    63
%assign SYS_getppid                 64
%assign SYS_getpgrp                 65
%assign SYS_setsid                  66
%assign SYS_sigaction               67
%assign SYS_sgetmask                68
%assign SYS_ssetmask                69
%assign SYS_setreuid16              70
%assign SYS_setregid16              71
%assign SYS_sigsuspend              72
%assign SYS_sigpending              73
%assign SYS_sethostname             74
%assign SYS_setrlimit               75
%assign SYS_old_getrlimit           76
%assign SYS_getrusage               77
%assign SYS_gettimeofday            78
%assign SYS_settimeofday            79
%assign SYS_getgroups16             80
%assign SYS_setgroups16             81
%assign SYS_old_select              82
%assign SYS_symlink                 83
%assign SYS_lstat                   84
%assign SYS_readlink                85
%assign SYS_uselib                  86
%assign SYS_swapon                  87
%assign SYS_reboot                  88
%assign SYS_old_readdir             89
%assign SYS_old_mmap                90
%assign SYS_munmap                  91
%assign SYS_truncate                92
%assign SYS_ftruncate               93
%assign SYS_fchmod                  94
%assign SYS_fchown16                95
%assign SYS_getpriority             96
%assign SYS_setpriority             97
;
%assign SYS_statfs                  99
%assign SYS_fstatfs                 100
%assign SYS_ioperm                  101
%assign SYS_socketcall              102
%assign SYS_syslog                  103
%assign SYS_setitimer               104
%assign SYS_getitimer               105
%assign SYS_newstat                 106
%assign SYS_newlstat                107
%assign SYS_newfstat                108
%assign SYS_uname                   109
%assign SYS_iopl                    110
%assign SYS_vhangup                 111
;
%assign SYS_vm86old                 113
%assign SYS_wait4                   114
%assign SYS_swapoff                 115
%assign SYS_sysinfo                 116
%assign SYS_ipc                     117
%assign SYS_fsync                   118
%assign SYS_sigreturn               119
%assign SYS_clone                   120
%assign SYS_setdomainname           121
%assign SYS_newuname                122
%assign SYS_modify_ldt              123
%assign SYS_adjtimex                124
%assign SYS_mprotect                125
%assign SYS_sigprocmask             126
;
%assign SYS_init_module             128
%assign SYS_delete_module           129
;
%assign SYS_quotactl                131
%assign SYS_getpgid                 132
%assign SYS_fchdir                  133
%assign SYS_bdflush                 134
%assign SYS_sysfs                   135
%assign SYS_personality             136
;
%assign SYS_setfsuid16              138
%assign SYS_setfsgid16              139
%assign SYS_llseek                  140
%assign SYS_getdents                141
%assign SYS_select                  142
%assign SYS_flock                   143
%assign SYS_msync                   144
%assign SYS_readv                   145
%assign SYS_writev                  146
%assign SYS_getsid                  147
%assign SYS_fdatasync               148
%assign SYS_sysctl                  149
%assign SYS_mlock                   150
%assign SYS_munlock                 151
%assign SYS_mlockall                152
%assign SYS_munlockall              153
%assign SYS_sched_setparam          154
%assign SYS_sched_getparam          155
%assign SYS_sched_setscheduler      156
%assign SYS_sched_getscheduler      157
%assign SYS_sched_yield             158
%assign SYS_sched_get_priority_max  159
%assign SYS_sched_get_priority_min  160
%assign SYS_sched_rr_get_interval   161
%assign SYS_nanosleep               162
%assign SYS_mremap                  163
%assign SYS_setresuid16             164
%assign SYS_getresuid16             165
%assign SYS_vm86                    166
;
%assign SYS_poll                    168
;
%assign SYS_setresgid16             170
%assign SYS_getresgid16             171
%assign SYS_prctl                   172
%assign SYS_rt_sigreturn            173
%assign SYS_rt_sigaction            174
%assign SYS_rt_sigprocmask          175
%assign SYS_rt_sigpending           176
%assign SYS_rt_sigtimedwait         177
%assign SYS_rt_sigqueueinfo         178
%assign SYS_rt_sigsuspend           179
%assign SYS_pread64                 180
%assign SYS_pwrite64                181
%assign SYS_chown16                 182
%assign SYS_getcwd                  183
%assign SYS_capget                  184
%assign SYS_capset                  185
%assign SYS_sigaltstack             186
%assign SYS_sendfile                187
;
;
%assign SYS_vfork                   190
%assign SYS_getrlimit               191
%assign SYS_mmap_pgoff              192
%assign SYS_truncate64              193
%assign SYS_ftruncate64             194
%assign SYS_stat64                  195
%assign SYS_lstat64                 196
%assign SYS_fstat64                 197
%assign SYS_lchown                  198
%assign SYS_getuid                  199
%assign SYS_getgid                  200
%assign SYS_geteuid                 201
%assign SYS_getegid                 202
%assign SYS_setreuid                203
%assign SYS_setregid                204
%assign SYS_getgroups               205
%assign SYS_setgroups               206
%assign SYS_fchown                  207
%assign SYS_setresuid               208
%assign SYS_getresuid               209
%assign SYS_setresgid               210
%assign SYS_getresgid               211
%assign SYS_chown                   212
%assign SYS_setuid                  213
%assign SYS_setgid                  214
%assign SYS_setfsuid                215
%assign SYS_setfsgid                216
%assign SYS_pivot_root              217
%assign SYS_mincore                 218
%assign SYS_madvise                 219
%assign SYS_getdents64              220
%assign SYS_fcntl64                 221
;
;
%assign SYS_gettid                  224
%assign SYS_readahead               225
%assign SYS_setxattr                226
%assign SYS_lsetxattr               227
%assign SYS_fsetxattr               228
%assign SYS_getxattr                229
%assign SYS_lgetxattr               230
%assign SYS_fgetxattr               231
%assign SYS_listxattr               232
%assign SYS_llistxattr              233
%assign SYS_flistxattr              234
%assign SYS_removexattr             235
%assign SYS_lremovexattr            236
%assign SYS_fremovexattr            237
%assign SYS_tkill                   238
%assign SYS_sendfile64              239
%assign SYS_futex                   240
%assign SYS_sched_setaffinity       241
%assign SYS_sched_getaffinity       242
%assign SYS_set_thread_area         243
%assign SYS_get_thread_area         244
%assign SYS_io_setup                245
%assign SYS_io_destroy              246
%assign SYS_io_getevents            247
%assign SYS_io_submit               248
%assign SYS_io_cancel               249
%assign SYS_fadvise64               250
;
%assign SYS_exit_group              252
%assign SYS_lookup_dcookie          253
%assign SYS_epoll_create            254
%assign SYS_epoll_ctl               255
%assign SYS_epoll_wait              256
%assign SYS_remap_file_pages        257
%assign SYS_set_tid_address         258
%assign SYS_timer_create            259
%assign SYS_timer_settime           260
%assign SYS_timer_gettime           261
%assign SYS_timer_getoverrun        262
%assign SYS_timer_delete            263
%assign SYS_clock_settime           264
%assign SYS_clock_gettime           265
%assign SYS_clock_getres            266
%assign SYS_clock_nanosleep         267
%assign SYS_statfs64                268
%assign SYS_fstatfs64               269
%assign SYS_tgkill                  270
%assign SYS_utimes                  271
%assign SYS_fadvise64_64            272
;
%assign SYS_mbind                   274
%assign SYS_get_mempolicy           275
%assign SYS_set_mempolicy           276
%assign SYS_mq_open                 277
%assign SYS_mq_unlink               278
%assign SYS_mq_timedsend            279
%assign SYS_mq_timedreceive         280
%assign SYS_mq_notify               281
%assign SYS_mq_getsetattr           282
%assign SYS_kexec_load              283
%assign SYS_waitid                  284
;
%assign SYS_add_key                 286
%assign SYS_request_key             287
%assign SYS_keyctl                  288
%assign SYS_ioprio_set              289
%assign SYS_ioprio_get              290
%assign SYS_inotify_init            291
%assign SYS_inotify_add_watch       292
%assign SYS_inotify_rm_watch        293
%assign SYS_migrate_pages           294
%assign SYS_openat                  295
%assign SYS_mkdirat                 296
%assign SYS_mknodat                 297
%assign SYS_fchownat                298
%assign SYS_futimesat               299
%assign SYS_fstatat64               300
%assign SYS_unlinkat                301
%assign SYS_renameat                302
%assign SYS_linkat                  303
%assign SYS_symlinkat               304
%assign SYS_readlinkat              305
%assign SYS_fchmodat                306
%assign SYS_faccessat               307
%assign SYS_pselect6                308
%assign SYS_ppoll                   309
%assign SYS_unshare                 310
%assign SYS_set_robust_list         311
%assign SYS_get_robust_list         312
%assign SYS_splice                  313
%assign SYS_sync_file_range         314
%assign SYS_tee                     315
%assign SYS_vmsplice                316
%assign SYS_move_pages              317
%assign SYS_getcpu                  318
%assign SYS_epoll_pwait             319
%assign SYS_utimensat               320
%assign SYS_signalfd                321
%assign SYS_timerfd_create          322
%assign SYS_eventfd                 323
%assign SYS_fallocate               324
%assign SYS_timerfd_settime         325
%assign SYS_timerfd_gettime         326
%assign SYS_signalfd4               327
%assign SYS_eventfd2                328
%assign SYS_epoll_create1           329
%assign SYS_dup3                    330
%assign SYS_pipe2                   331
%assign SYS_inotify_init1           332
%assign SYS_preadv                  333
%assign SYS_pwritev                 334
%assign SYS_rt_tgsigqueueinfo       335
%assign SYS_perf_event_open         336
%assign SYS_recvmmsg                337
%assign SYS_fanotify_init           338
%assign SYS_fanotify_mark           339
%assign SYS_prlimit64               340
%assign SYS_name_to_handle_at       341
%assign SYS_open_by_handle_at       342
%assign SYS_clock_adjtime           343
%assign SYS_syncfs                  344
%assign SYS_sendmmsg                345
%assign SYS_setns                   346
%assign SYS_process_vm_readv        347
%assign SYS_process_vm_writev       348
%assign SYS_kcmp                    349
%assign SYS_finit_module            350
%assign SYS_sched_setattr           351
%assign SYS_sched_getattr           352
%assign SYS_renameat2               353
%assign SYS_seccomp                 354
%assign SYS_getrandom               355
%assign SYS_memfd_create            356
%assign SYS_bpf                     357
%assign SYS_execveat                358

%endif
